Package org.eclipse.jface.text.hyperlink

# Interface IHyperlinkDetectorExtension2

public interface IHyperlinkDetectorExtension2
Extends `IHyperlinkDetector` with ability to specify the state mask of the modifier keys that need to be pressed for this hyperlink detector.

Clients may implement this interface.

Since:
  3.3

## Method Summary

Modifier and Type
Method
Description
`int`
`getStateMask()`
Returns the state mask of the modifier keys that need to be pressed for this hyperlink detector.

## Method Details

### getStateMask

int getStateMask()
Returns the state mask of the modifier keys that need to be pressed for this hyperlink detector.

Returns:
  the state mask